| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iService Class Reference

Inheritance diagram for GaudiPython::Bindings::iService:

[legend]
Collaboration diagram for GaudiPython::Bindings::iService:

[legend]

List of all members.

## Detailed Description

    Python equivalent to IProperty interface

Definition at line 245 of file Bindings.py.

## Public Member Functions
def | __init__
def | retrieveInterface
def | isValid
## Static Public Attributes
tuple | initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
tuple | start = lambdaself:self.__call_interface_method__("_isvc","start")
tuple | stop = lambdaself:self.__call_interface_method__("_isvc","stop")
tuple | finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
tuple | reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
tuple | restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Member Function Documentation

def GaudiPython::Bindings::iService::__init__ | ( |  | self,
|  |  | name,
|  |  | isvc = `None` |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iProperty.

Reimplemented in GaudiPython::Bindings::iDataSvc, GaudiPython::Bindings::iHistogramSvc, GaudiPython::Bindings::iNTupleSvc, GaudiPython::Bindings::iToolSvc, and GaudiPython::Bindings::iJobOptSvc.

Definition at line 247 of file Bindings.py.

    00247                                          :
    00248     iProperty.__init__(self, name, isvc )
    00249     if isvc : self.__dict__['_isvc'] = InterfaceCast(gbl.IService)(isvc)
    00250     else    : self.__dict__['_isvc'] = None
      def retrieveInterface(self) :

def GaudiPython::Bindings::iService::retrieveInterface | ( |  | self | ) |

Reimplemented from GaudiPython::Bindings::iProperty.

Definition at line 251 of file Bindings.py.

    00251                               :
    00252     isvc = Helper.service(self._svcloc,self._name)
    00253     if isvc : iService.__init__(self, self._name, isvc)
      initialize   = lambda self : self.__call_interface_method__("_isvc","initialize")

def GaudiPython::Bindings::iService::isValid | ( |  | self | ) |

Definition at line 260 of file Bindings.py.

    00260                     :
    00261     if self._isvc: return True
    00262     else :         return False
    00263
    00264 #----iAlgorithm class---------------------------------------------------------------------
    class iAlgorithm(iProperty) :

## Member Data Documentation

tuple GaudiPython::Bindings::iService::initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")`[static]`

Definition at line 254 of file Bindings.py.

tuple GaudiPython::Bindings::iService::start = lambdaself:self.__call_interface_method__("_isvc","start")`[static]`

Definition at line 255 of file Bindings.py.

tuple GaudiPython::Bindings::iService::stop = lambdaself:self.__call_interface_method__("_isvc","stop")`[static]`

Definition at line 256 of file Bindings.py.

tuple GaudiPython::Bindings::iService::finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")`[static]`

Definition at line 257 of file Bindings.py.

tuple GaudiPython::Bindings::iService::reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")`[static]`

Definition at line 258 of file Bindings.py.

tuple GaudiPython::Bindings::iService::restart = lambdaself:self.__call_interface_method__("_isvc","restart")`[static]`

Definition at line 259 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py